Alpha AnalystDocs

Screener Metrics API

Browse screenable fields—ids, types, operators, and categories—for the latest market snapshot. Omit filters for the full catalog; use query and category to narrow. Pass ids to Screener conditions and fields.

curl -X GET "https://example.com/v2/screener/metrics?query=marketCap"
{  "query": "marketCap",  "category": null,  "count": 32,  "categories": [    "entity_attributes",    "entity_info",    "security_info",    "price_and_volume",    "income_statement",    "balance_sheet",    "cash_flow_statement",    "financial_ratios",    "key_metrics",    "shares_and_float",    "dividends_and_buybacks",    "analyst_estimates",    "technical",    "other"  ],  "metrics": [    {      "id": "debtToMarketCap",      "name": "Debt To Market Cap",      "type": "float",      "categories": [        "financial_ratios"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthDebtToMarketCap",      "name": "Growth Debt To Market Cap",      "type": "float",      "categories": [        "financial_ratios"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthLfDebtToMarketCap",      "name": "Growth Lf Debt To Market Cap",      "type": "float",      "categories": [        "financial_ratios"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthLqDebtToMarketCap",      "name": "Growth Lq Debt To Market Cap",      "type": "float",      "categories": [        "financial_ratios"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthTtmDebtToMarketCap",      "name": "Growth Ttm Debt To Market Cap",      "type": "float",      "categories": [        "financial_ratios"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "lfDebtToMarketCap",      "name": "Lf Debt To Market Cap",      "type": "float",      "categories": [        "financial_ratios"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "lqDebtToMarketCap",      "name": "Lq Debt To Market Cap",      "type": "float",      "categories": [        "financial_ratios"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "ttmDebtToMarketCap",      "name": "Ttm Debt To Market Cap",      "type": "float",      "categories": [        "financial_ratios"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthLfMarketCap",      "name": "Growth Lf Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthLfNetCashByMarketCap",      "name": "Growth Lf Net Cash By Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthLqMarketCap",      "name": "Growth Lq Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthLqNetCashByMarketCap",      "name": "Growth Lq Net Cash By Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthMarketCap",      "name": "Growth Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthNetCashByMarketCap",      "name": "Growth Net Cash By Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthTtmMarketCap",      "name": "Growth Ttm Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthTtmNetCashByMarketCap",      "name": "Growth Ttm Net Cash By Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "lfMarketCap",      "name": "Lf Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "lfMarketCap_usd",      "name": "Lf Market Cap (usd)",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "lfNetCashByMarketCap",      "name": "Lf Net Cash By Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "lqMarketCap",      "name": "Lq Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "lqMarketCap_usd",      "name": "Lq Market Cap (usd)",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "lqNetCashByMarketCap",      "name": "Lq Net Cash By Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "marketCap",      "name": "Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "marketCap_usd",      "name": "Market Cap (USD)",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "netCashByMarketCap",      "name": "Net Cash By Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "ttmMarketCap",      "name": "Ttm Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "ttmMarketCap_usd",      "name": "Ttm Market Cap (usd)",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "ttmNetCashByMarketCap",      "name": "Ttm Net Cash By Market Cap",      "type": "float",      "categories": [        "key_metrics"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthLfMarketCap_usd",      "name": "Growth Lf Market Cap (usd)",      "type": "float",      "categories": [        "other"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthLqMarketCap_usd",      "name": "Growth Lq Market Cap (usd)",      "type": "float",      "categories": [        "other"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthMarketCap_usd",      "name": "Growth Market Cap (usd)",      "type": "float",      "categories": [        "other"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    },    {      "id": "growthTtmMarketCap_usd",      "name": "Growth Ttm Market Cap (usd)",      "type": "float",      "categories": [        "other"      ],      "operators": [        "between",        "display_only",        "exactly",        "has_data",        "not_exactly",        "not_zero",        "over",        "over_eq",        "percent_total",        "percentile",        "rank",        "under",        "under_eq",        "zero"      ],      "options": [],      "sortable": true,      "filterable": true,      "filter_only": false    }  ]}
GET
/v2/screener/metrics

Query Parameters

query?string

Optional case-insensitive search over metric id, name, and category. Combines with category. Omit to skip text search.

Length1 <= length <= 200
category?string

Picker group slug. entity_attributes (Entity Attributes), entity_info (Entity Info), security_info (Security Info), price_and_volume (Price & Volume), income_statement (Income Statement), balance_sheet (Balance Sheet), cash_flow_statement (Cash Flow Statement), financial_ratios (Financial Ratios), key_metrics (Key Metrics), shares_and_float (Shares & Float), dividends_and_buybacks (Dividends & Buybacks), analyst_estimates (Analyst Estimates), technical (Technical), or other (Other). Omit to return every category. Combines with query.

Value in

  • "entity_attributes"
  • "entity_info"
  • "security_info"
  • "price_and_volume"
  • "income_statement"
  • "balance_sheet"
  • "cash_flow_statement"
  • "financial_ratios"
  • "key_metrics"
  • "shares_and_float"
  • "dividends_and_buybacks"
  • "analyst_estimates"
  • "technical"
  • "other"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json